'Copyright (c) 2004 SJJ Embedded Micro Solutions, LLC
'All Rights Reserved


' VBScript source code

set locator = CreateObject("WbemScripting.SWbemLocator")
set svcs = locator.ConnectServer("XPES", "root\cimv2","administrator","password")
Set colSettings = svcs.ExecQuery ("SELECT * FROM Win32_OperatingSystem")

'Get OS Information
For Each objOperatingSystem in colSettings 
    Wscript.Echo "OS Name: " & objOperatingSystem.Name
    Wscript.Echo "Version: " & objOperatingSystem.Version
    Wscript.Echo "Service Pack: " & objOperatingSystem.ServicePackMajorVersion & "." & objOperatingSystem.ServicePackMinorVersion
    Wscript.Echo "OS Manufacturer: " & objOperatingSystem.Manufacturer
    Wscript.Echo "Windows Directory: " & objOperatingSystem.WindowsDirectory
    Wscript.Echo "Locale: " & objOperatingSystem.Locale
    Wscript.Echo "Available Physical Memory: " & objOperatingSystem.FreePhysicalMemory
    Wscript.Echo "Total Virtual Memory: " & objOperatingSystem.TotalVirtualMemorySize
    Wscript.Echo "Available Virtual Memory: " & objOperatingSystem.FreeVirtualMemory
    Wscript.Echo "OS Name: " & objOperatingSystem.SizeStoredInPagingFiles
Next

'Get General System Information
Set colSettings = svcs.ExecQuery ("SELECT * FROM Win32_ComputerSystem")
For Each objComputer in colSettings 
    Wscript.Echo "System Name: " & objComputer.Name
    Wscript.Echo "System Manufacturer: " & objComputer.Manufacturer
    Wscript.Echo "System Model: " & objComputer.Model
    Wscript.Echo "Time Zone: " & objComputer.CurrentTimeZone
    Wscript.Echo "Total Physical Memory: " & objComputer.TotalPhysicalMemory
Next
'Get Processor Information
Set colSettings = svcs.ExecQuery ("SELECT * FROM Win32_Processor")
For Each objProcessor in colSettings 
    Wscript.Echo "System Type: " & objProcessor.Architecture
    Wscript.Echo "Processor: " & objProcessor.Description
Next
'Get System BIOS Information
Set colSettings = svcs.ExecQuery ("SELECT * FROM Win32_BIOS")
For Each objBIOS in colSettings 
    Wscript.Echo "BIOS Version: " & objBIOS.Version
Next
